[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TCustomActionList.GetEnumerator

Gets an enumerator for actions in the action list.

## Declaration

Source position: actnlist.pas line 108

`public function TCustomActionList.GetEnumerator: TActionListEnumerator;`

## Function result

TActionListEnumerator instance for the class.

## Description

Gets a TActionListEnumerator instance used to access values in the Actions property. It allows access to the values in the list using FOR..IN syntax. For example:

    // var
    //  AnAction: TBasicAction;
    //  AList: TActionList;
    // ...
    begin
      for AnAction in AList do SomethingWith(AnAction);
    end;

## See also

TCustomActionList.Actions |  | Provides indexed access to actions in the list by their ordinal position.
TActionListEnumerator |  | Implements an enumerator for the Actions in TCustomActionList.